#!/usr/bin/env python3
"""authentication manager project"""
from setuptools import find_packages, setup

with open("README.rst", "r") as fobj:
    long_description = fobj.read()

setup(name='pyAuthManager',
      version='0.1.2',
      description="Authentication Manager with support of AWS, GCP and Azure.",
      long_description=long_description,
      platforms=["Linux", "Mac", "Windows"],
      author="Romuald Atchadé, Hervé Martin",
      author_email="romuald.atchade@tounilab.com, hervefranciscomartin@gmail.com",
      #   url="https://pymbook.readthedocs.io/en/latest/",
      license="MIT",
      packages=find_packages(),
      # Dependent packages (distributions)
      install_requires=[
          "autopep8==1.5.4",
          "bleach==4.1.0",
          "boto3==1.16.42",
          "botocore==1.19.42",
          "CacheControl==0.12.6",
          "cachetools==4.2.2",
          "certifi==2021.5.30",
          "cffi==1.14.6",
          "charset-normalizer==2.0.4",
          "colorama==0.4.4",
          "docutils==0.18.1",
          "ecdsa==0.14.1",
          "firebase-admin==5.0.1",
          "google-api-core==1.31.1",
          "google-api-python-client==2.15.0",
          "google-auth==1.34.0",
          "google-auth-httplib2==0.1.0",
          "google-cloud-core==1.7.2",
          "google-cloud-firestore==2.2.0",
          "google-cloud-storage==1.41.1",
          "google-crc32c==1.1.2",
          "google-resumable-media==1.3.3",
          "googleapis-common-protos==1.53.0",
          "grpcio==1.39.0",
          "httplib2==0.19.1",
          "idna==3.2",
          "importlib-metadata==4.11.2",
          "jmespath==0.10.0",
          "jose==1.0.0",
          "keyring==23.5.0",
          "msgpack==1.0.2",
          "packaging==21.0",
          "pkginfo==1.8.2",
          "proto-plus==1.19.0",
          "protobuf==3.17.3",
          "pyasn1==0.4.8",
          "pyasn1-modules==0.2.8",
          "pycodestyle==2.6.0",
          "pycparser==2.20",
          "Pygments==2.11.2",
          "pyparsing==2.4.7",
          "python-dateutil==2.8.1",
          "python-decouple==3.3",
          "python-jose==3.2.0",
          "pytz==2021.1",
          "pywin32-ctypes==0.2.0",
          "readme-renderer==32.0",
          "requests==2.26.0",
          "requests-toolbelt==0.9.1",
          "rfc3986==2.0.0",
          "rsa==4.6",
          "s3transfer==0.3.3",
          "six==1.15.0",
          "toml==0.10.2",
          "tqdm==4.63.0",
          "typing_extensions==4.1.1",
          "uritemplate==3.0.1",
          "urllib3==1.26.2",
          "webencodings==0.5.1",
          "zipp==3.7.0",
      ],
      )
